This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 18781 - Even root can't use usernetctl if USERCTL=no
Even root can't use usernetctl if USERCTL=no
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-10 04:02 EDT by Karsten Weiss
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 04:03:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Weiss 2000-10-10 04:03:00 EDT
Even the superuser can't bring up an interface if USERCTL is set to "no":

[root@addx /root]# id
uid=0(root) gid=0(root)
groups=0(root),1(bin),2(daemon),3(sys),4(adm),6(disk),10(wheel)
[root@addx /root]# grep USERCTL /etc/sysconfig/network-scripts/ifcfg-ppp6 
USERCTL=no
[root@addx /root]# usernetctl ppp6 up
Users are not allowed to control this interface.
[root@addx /root]#
Comment 1 Nalin Dahyabhai 2000-10-10 12:28:58 EDT
The usernetctl program is only called by ifdown if it's not run as root, so it
needn't be run directly.  But it'll be fixed in the next Raw Hide snapshot
(5.50-1 or later) anyway.

Note You need to log in before you can comment on or make changes to this bug.